Package com.sas.lsaf.execution.job

## Class JobPublishSetup

- java.lang.Object
- - com.sas.lsaf.execution.job.JobPublishSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobPublishSetup
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the files and folders to transfer for use in a published job submission.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobPublishSetup()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFile​(java.lang.String path)` | Adds the path to a file to transfer for use in a published job submission.
    `void` | `addFile​(java.lang.String path, java.lang.String version)` | Adds the path and version of a file to transfer for use in a published job submission.
    `void` | `addFolder​(java.lang.String path)` | Adds the path to a folder to transfer for use in a published job submission.
    `void` | `addFolder​(java.lang.String path, boolean includeFiles, boolean includeSubfolders)` | Adds the path to a folder to transfer for use in a published job submission and whether to include subfolders files.
    `java.util.List<JobPublishSetupFile>` | `getFiles()` | Gets the files to transfer for use in a published job submission.
    `java.util.List<JobPublishSetupFolder>` | `getFolders()` | Gets the folders to transfer for use in a published job submission.
    `void` | `setFiles​(java.util.List<JobPublishSetupFile> files)` | Sets the files to transfer for use in a published job submission.
    `void` | `setFolders​(java.util.List<JobPublishSetupFolder> folders)` | Sets the folders to transfer for use in a published job submission.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPublishSetup

          public JobPublishSetup()

      Constructor.

  - ### Method Detail

    - #### getFiles

          public java.util.List<JobPublishSetupFile> getFiles()

      Gets the files to transfer for use in a published job submission.
      Returns:
        The files to transfer.

    - #### setFiles

          public void setFiles​(java.util.List<JobPublishSetupFile> files)

      Sets the files to transfer for use in a published job submission.
      Parameters:
        `files` - The files to transfer.

    - #### addFile

          public void addFile​(java.lang.String path)

      Adds the path to a file to transfer for use in a published job submission.
      Parameters:
        `path` - The path to a file.

    - #### addFile

          public void addFile​(java.lang.String path,
                              java.lang.String version)

      Adds the path and version of a file to transfer for use in a published job submission.
      Parameters:
        `path` - The path to a file.
        `version` - The version of the file.

    - #### getFolders

          public java.util.List<JobPublishSetupFolder> getFolders()

      Gets the folders to transfer for use in a published job submission.
      Returns:
        The folders to transfer.

    - #### setFolders

          public void setFolders​(java.util.List<JobPublishSetupFolder> folders)

      Sets the folders to transfer for use in a published job submission.
      Parameters:
        `folders` - The folders to transfer.

    - #### addFolder

          public void addFolder​(java.lang.String path)

      Adds the path to a folder to transfer for use in a published job submission.
      Parameters:
        `path` - The path to a folder to transfer.

    - #### addFolder

          public void addFolder​(java.lang.String path,
                                boolean includeFiles,
                                boolean includeSubfolders)

      Adds the path to a folder to transfer for use in a published job submission and whether to include subfolders files. Both includeSubfolders and includeFiles default to false.
      Parameters:
        `path` - The path to a folder to transfer.
        `includeFiles` - Indicates whether to transfer files in the specified folder.
        `includeSubfolders` - Indicates whether to transfer folders below the specified folder.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`